## view.page
Class GoPage

    java.lang.Object
      view.GoResponse
          view.page.GoPage

Direct Known Subclasses:
  AdminPage, EditTournamentPage, ErrorPage, ImportPage, LoginPage, RegistrationPage, StatisticsPage

    public abstract class GoPage

extends GoResponse

Field Summary
`private Div` `content`
`private XHTMLDocument` `doc`

Constructor Summary
`protected` `GoPage(boolean logged)` Constructs the page.

Method Summary
`protected Div` `getContent()` Returns the content 'div' element of the page.
`java.lang.String` `getSource()` Returns the XHTML source code of the page.
`java.lang.String` `getSource(int indent_width)` As above, but with indentation.
`protected void` `setOnLoad(java.lang.String onload)` Sets the onload attribute of 'body'.
`protected void` `setTitleText(java.lang.String text)` Sets the the title text of the page.

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doc

    private final transient XHTMLDocument doc

### content

    private final transient Div content

Constructor Detail

### GoPage

    protected GoPage(boolean logged)

  Constructs the page.

  Parameters:
    `logged` - if true, the viewer of the page is considered an administrator and a navigation bar is included on the page.

Method Detail

### getContent

    protected Div getContent()

  Returns the content 'div' element of the page.

### setTitleText

    protected void setTitleText(java.lang.String text)

  Sets the the title text of the page.

  Parameters:
    `text` - the text to set.

### setOnLoad

    protected void setOnLoad(java.lang.String onload)

  Sets the onload attribute of 'body'.

  Parameters:
    `onload` - the value for the attribute.

### getSource

    public java.lang.String getSource()

  Returns the XHTML source code of the page.

### getSource

    public java.lang.String getSource(int indent_width)

  As above, but with indentation.

  Parameters:
    `indent_width` - the width of the indentation in spaces.